Межсайтовый скриптинг в MyNews

Дата публикации:
05.05.2006
Дата изменения:
20.10.2006
Всего просмотров:
1632
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2208
CVE-2008-0723
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyNews 1.x
Уязвимые версии: MyNews 1.6.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "hash" и "page" в сценарии "mynews.inc.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://victim/path/mynews.inc.php?hash="><script>alert(/DreamlorD/)</script>
http://victim/path/mynews.inc.php?hash=cce496a942d7279c14d7da556c14c7b6
&mnid=2&page="><script>alert(/DreamlorD/)</script>

URL производителя: www.planetluc.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: MyNews 1.6.2 Cross Site Scripting

или введите имя

CAPTCHA